#
# spec file for package cozette-fonts
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fontname    Cozette
Name:           cozette-fonts
Version:        1.21.0
Release:        1.1
Summary:        A bitmap programming font
License:        MIT
Group:          System/X11/Fonts
URL:            https://github.com/slavfox/Cozette
Source0:        Cozette-%{version}.tar.xz
Source1:        https://github.com/slavfox/Cozette/releases/download/v.%{version}/CozetteVector.otf
BuildRequires:  %{suseconfig_fonts_prereq}
BuildRequires:  fontpackages-devel
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
A bitmap font with great coverage of all the glyphs
that might encounter in the terminal.

%prep
%setup -q -n %{fontname}-%{version}

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets

%files
%{_ttfontsdir}

%license LICENSE
%doc CHANGELOG.md README.md

%changelog
* Wed Jul 19 2023 socvirnyl.estela@gmail.com
- Update to version 1.21.0:
  * v.1.21.0 The BQN update
  * Added BQN glyphs + some miscellaneous glyphs
  * v.1.20.1 Sunglasses emoji
  * v.1.20.0 The APL update
  * v.1.19.3 Strikethrough rendering fix
  * v.1.19.2-hidpi2 HiDpi fixes
  * HiDpi builds
  * docs: Add FreeBSD port
* Wed Jul 19 2023 socvirnyl.estela@gmail.com
- Update to version 1.19.0:
  * v.1.19.0 The yoshiyoshyosh update - versioning, repo meta
  * Changes, New glyphs, etc.
  * v.1.18.1 images
  * v.1.18.1 Bluetooth icons
  * Add note about dmenu
  * v.1.18.0 Add some logical and set operators
  * v.1.17.2 Umlaut fixes
  * v.1.17.1
  * Update README.md
* Fri Dec 16 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 1.19.0:
  * Changes, New glyphs, etc.
  * v.1.18.1 images
  * v.1.18.1 Bluetooth icons
  * Add note about dmenu
  * v.1.18.0 Add some logical and set operators
  * v.1.17.2 Umlaut fixes
  * v.1.17.1
  * Update README.md
* Thu Nov 26 2020 andy great <andythe_great@pm.me>
- Update to version 1.9.3.
  * Added
  * (U+21B0 UPWARDS ARROW WITH TIP LEFTWARDS)
  * (U+21B1 UPWARDS ARROW WITH TIP RIGHTWARDS)
  * (U+21B2 DOWNWARDS ARROW WITH TIP LEFTWARDS)
  * (U+21B3 DOWNWARDS ARROW WITH TIP RIGHTWARDS)
  * Fixed
  * Changed U+220F N-ARY PRODUCT and U+2210 N-ARY COPRODUCT
    to make them taller
  * Extended the descender of U+04CC CYRILLIC SMALL LETTER
    KHAKASSIAN CHE
- Minor spec file clean up.
* Mon Oct 19 2020 andy great <andythe_great@pm.me>
- Update to version 1.9.2.
  * Added
  * U+221A SQUARE ROOT
  * U+2116 NUMERO SIGN
  * Fixed
  * U+0506 CYRILLIC CAPITAL LETTER KOMI DZJE now has an actual
    glyph
  * U+0507 CYRILLIC SMALL LETTER KOMI DZJE now has an actual
    glyph
* Sat Aug 29 2020 andy great <andythe_great@pm.me>
- Update to version 1.9.0.
  * Added
  * U+0166 LATIN CAPITAL LETTER T WITH STROKE
  * U+0167 LATIN SMALL LETTER T WITH STROKE
  * U+0172 LATIN CAPITAL LETTER U WITH OGONEK
  * U+0173 LATIN SMALL LETTER U WITH OGONEK
  * U+0174 LATIN CAPITAL LETTER W WITH CIRCUMFLEX
  * U+0175 LATIN SMALL LETTER W WITH CIRCUMFLEX
  * U+0176 LATIN CAPITAL LETTER Y WITH CIRCUMFLEX
  * U+0177 LATIN SMALL LETTER Y WITH CIRCUMFLEX
  * Changed
  * snake is now fullwidth to make starship prompts look less ugly
* Tue May 12 2020 andy great <andythe_great@pm.me>
- Update to version 1.8.0. (see CHANGELOG.md)
  * Add Pomicons glyphs.
* Fri Mar 27 2020 andy great <andythe_great@pm.me>
- Update to version 1.7.0. (See CHANGELOG.md)
- Added
  * U+263A WHITE SMILING FACE
  * U+2669 QUARTER NOTE
  * U+266A EIGHTH NOTE
  * U+266B BEAMED EIGHTH NOTES
  * U+266C BEAMED SIXTEENTH NOTES
  * flats and sharps too
* Sun Feb 16 2020 andy great <andythe_great@pm.me>
- Initial release.
